<template>
    <div>
        <h2>{{ msg }}</h2>
        <h3 v-show='display'>
            My name is {{ name }} and {{ name }} is {{ status }} 
        </h3>

        <br/>

        <div>
            <div>
                <label>Enter Your Name: </label>
                <input type="text" v-model="name">
            </div>

            <label for="">Awesome</label>
            <input v-model="status" type="radio" value="awesome">
            <br/>
            
            <label for="">Fabulous</label>
            <input v-model="status" type="radio" value="fabulous">
            <br/>

            <label for="">Excellent</label>
            <input v-model="status" type="radio" value="excellent">
            <br/>

            <button @click="transmitData">Transmit</button>
        </div>
    </div>
</template>

<script>
export default {
    name: 'FirstComponent',
    props: {
        msg: String
    },
    data(){
        return {
            name: '',
            status: '',
            display: false,
        }
    },
    methods:{
        transmitData(){
            this.display = true;
        }
    }
}
</script>

<style>

</style>